Summary: Obtain the Country, Region, City, Latitude, and Longitude of any IP address
Summary(ko): Geoip 를 이용한 국가코드를 알아내는 오픈소스 C API
Name: GeoIP
Version: 1.4.8
Release: 1%{?dist}
Epoch: 1
License: Maxmind
URL: http://www.maxmind.com

%define _update_geoip_dat 0

Source0: http://www.maxmind.com/download/geoip/api/c/%{name}-%{version}.tar.gz
Source1: GeoIP.conf
Source2: geoip-csvupdate
Source3: geoip-csv2bin
Source100: GeoIPFree.tar.bz2
Source101: http://people.netfilter.org/peejix/geoip/tools/csv2bin-20041103.tar.gz
%if %{_update_geoip_dat}
Source200: http://www.maxmind.com/download/geoip/database/GeoIP.dat.gz
Source201: http://www.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
Source202: http://www.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
Source203: http://www.maxmind.com/download/geoip/database/GeoLiteCity_CSV/GeoLiteCity_20120103.zip
%endif
Patch0: geoip-annyung-gcc29.patch
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: GeoIP-data

%description
 Let MaxMind GeoIP tell you! Analyze your web logs to locate your clients,
geo-target banner ads, detect credit card fraud, auto-select country on
forms, prevent password sharing and abuse of service, and display native
language and currency

%description -l ko
GeoIP는 국가별로 할당 받은 IP를 데이터베이스화하여 사용자의 IP를 가지고
국가코드를 알수 있다.

%package devel
Summary: The development libraries and header files for GeoIP
Summary(ko): GeoIP 를 이용하기 위한 개발툴
Group: Development/Libraries
Requires: GeoIP = %{epoch}:%{version}-%{release}

%description devel
GeoIP development and library

%description devel -l ko
GeoIP 를 이용하여 개발하기 위한 라이브러리와 C 헤더 파일

%package doc
Summary: The document of GeoIP
Summary(ko): GeoIP 문서
Group: Documentation

%description doc
This package included GeoIP documents

%description doc -l ko
이 패키지는 GeoIP 문서들을 포함하고 있다.

%prep
%setup -q -a 100 -a 101 -n %{name}-%{version}
#patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--sysconfdir=/etc/%{name} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \

%{__make} %{?_smp_mflags}

pushd csv2bin
%{__make}
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/etc/%{name}

%if %{_update_geoip_dat}
install -m 644 %{SOURCE200} %{buildroot}%{_datadir}/GeoIP/
install -m 644 %{SOURCE202} %{buildroot}%{_datadir}/GeoIP/
%endif

%if %{_update_geoip_dat}
pushd %{buildroot}%{_datadir}/GeoIP/ &> /dev/null
	gzip -d GeoIP.dat.gz
	gzip -d GeoLiteCity.dat.gz
	ln -sf GeoLiteCity.dat GeoIPCity.dat
popd &> /dev/null
%endif

mkdir -p %{buildroot}%{_datadir}/GeoIP/GeoIPFree/
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/GeoIP/
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/

%if %{_update_geoip_dat}
pushd %{buildroot}%{_datadir}/GeoIP/ &> /dev/null
unzip %{SOURCE201}
popd &> /dev/null
%endif

install -m755 csv2bin/csv2bin %{buildroot}%{_datadir}/GeoIP/

for i in convert_GeoIPFree make_GeoIPFree ipct2txt.pl txt2ipct.pl
do
	install -m 755 ./GeoIPFree/$i %{buildroot}%{_datadir}/GeoIP/GeoIPFree/
done

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/bin/geoip-csv2bin 1 &> /dev/null

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root)
%if %{_update_geoip_dat}
%{_datadir}/GeoIP/*.dat
%{_datadir}/GeoIP/GeoIPCountryWhois.csv
%endif
%{_datadir}/GeoIP/GeoIP.conf
%attr(0755,root,root) %{_datadir}/GeoIP/csv2bin

%defattr(0755,root,root)
#%{_bindir}/geoipupdate
%{_bindir}/geoiplookup
%{_bindir}/geoiplookup6
%{_bindir}/geoip-csvupdate
%{_bindir}/geoip-csv2bin
%{_libdir}/*.so.*

%defattr(0644,root,root)
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a

# geoipfree development data
%dir %{_datadir}/GeoIP/GeoIPFree

%defattr(0700,root,root)
%{_datadir}/GeoIP/GeoIPFree/convert_GeoIPFree 
%{_datadir}/GeoIP/GeoIPFree/make_GeoIPFree 
%{_datadir}/GeoIP/GeoIPFree/ipct2txt.pl 
%{_datadir}/GeoIP/GeoIPFree/txt2ipct.pl

%files doc
%doc README AUTHORS ChangeLog COPYING TODO NEWS

%changelog
* Sat Jan  7 2012 JoungKyun.Kim <http://oops.org> 1:1.4.8-1%{?dist}
- update 1.4.8

